# Variables for Okta
variable "okta_org_name" {
  description = "The name of your Okta organization"
  type        = string
  default     = "your-okta-org"
}

variable "okta_base_url" {
  description = "The base URL for Okta"
  type        = string
  default     = "okta.com"
}

variable "okta_api_token" {
  description = "The API token for Okta, used to authenticate requests"
  type        = string
  sensitive   = true
}

# Variables for SailPoint
variable "sailpoint_api_url" {
  description = "Base URL for SailPoint IdentityNow API"
  type        = string
  default     = "https://your-sailpoint-instance.identitynow.com"
}

variable "sailpoint_api_token" {
  description = "The API token for SailPoint, used to authenticate requests"
  type        = string
  sensitive   = true
}

# Variables for AD Integration
variable "ad_group_name" {
  description = "The name of the Active Directory group to be synchronized with Okta"
  type        = string
  default     = "AD Users"
}

variable "ad_group_description" {
  description = "Description for the Active Directory group in Okta"
  type        = string
  default     = "Group for AD-synced users"
}

variable "ad_user_profile_mappings" {
  description = "Mappings of AD attributes to Okta profile attributes"
  type = map(string)
  default = {
    "firstName" = "givenName"
    "lastName"  = "sn"
    "email"     = "mail"
  }
}
